# netfrog. A distributed platform to manage with frog data.
# Copyright (C) 2003 David Soulayrol <dsoulayrol@free.fr>
#
# This file is part of netfrog.
#
# netfrog is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


class AbstractService(object):
    __parameters = {}
    __commands = []

    def __init__(self):
        pass

    
    def process(self, aMessage):
        raise NotImplementedError(
            "class %s misses 'process'"% str(self.__class__))
