#!/usr/bin/perl -w

use strict;
use GD;

# configuration 
:
# fichier contenant les donnees
my $froglog = '/usr/local/frogd/data/frogd.log';

# the template image
# le modele pour l image
my $srcImg = './frogd-image-src.png';


# do not change anything after this line 
# ne rien changer apres cette ligne
#####################
# Retrive data from frogd's log file

open(FH,$froglog) || die "unable to open frogd logfile $froglog\n";
my @lignes = <FH>;
my $l=$lignes[$#lignes];
chop($l);
my @element = split(/:/, $l);

my $barohPa=$element[3];
my $temp=$element[2];
my $hum=$element[4];



#####################
# Work on image


#Load image base file
my $myImage = newFromPng GD::Image($srcImg);

#Disable transparence
$myImage->transparent(-1);


#define colors
my $green = $myImage->colorAllocate(95,151,96);
my $red = $myImage->colorAllocate(208,48,32);
my $blue = $myImage->colorAllocate(32,23,191);


#Print text
$myImage->string(gdGiantFont,7,2,$barohPa." hPa",$green);
$myImage->string(gdGiantFont,7,16,"  ".$temp." C",$red);
$myImage->string(gdGiantFont,7,29,"  ".$hum." %HR",$blue);


#Save as png file
print "content-type: image/png\n\n";
my $png_data = $myImage->png;
print $png_data;
